<?php
/**
 * @author Arnaud AUZOLAT <arnaud.auzolat@libriciel.coop>
 * @editor Libriciel SCOP
 *
 * @created 19 sept 2018
 *
 *
 */
//App::import(array('Model', 'AppModel', 'File'));
//App::import(array('Model', 'Courrier', 'File'));
//App::import(array('Model', 'Comment', 'File'));
App::uses('Model', 'AppModel');
App::uses('ConnectionManager', 'Model');


App::uses('Controller', 'Controller');
App::uses('AppController', 'Controller');

App::uses('AppShell', 'Console/Command');
App::uses('ComponentCollection', 'Controller');
App::uses('LocaleoComponent', 'Controller/Component');

App::uses('CakeflowAppModel', 'Cakeflow.Model');
App::uses('SimpleCommentAppModel', 'SimpleComment.Model');
/**
 * @deprecated au profit des méthodes de même nom dans Deliberation (Model)
 * Class ParapheurShell
 */
class LocaleoShell extends Shell {

    /**
	 *
	 * @var type
	 */
	private $_conn;
    

    public function startup() {
        parent::startup();

		$this->_conn = 'default';
		if (!empty($this->params['connection'])) {
			Configure::write('conn', $this->params['connection']);
			$this->_conn = $this->params['connection'];
		}
        
        if ($this->_conn != 'default') {
			ClassRegistry::init('Courrier');
			$this->Courrier = new Courrier();
			$this->Courrier->setDataSource($this->_conn);
            
            $collection = new ComponentCollection();
			$this->Localeowebservice = new LocaleoComponent($collection);
//			$this->Parafwebservice->startup(new AppController());

        }
    }

    function main() {        
        $Courrier = ClassRegistry::init('Courrier');
        $Connecteur = ClassRegistry::init('Connecteur');

        $conn = $this->_conn;
        if ($conn != 'default') {
            
            $collection = new ComponentCollection();
            $this->Localeowebservice = new LocaleoComponent($collection);

            $this->_checkTest();
        }
    }

    function _checkTest() {
        $test = $this->Localeowebservice->echoTest();
    }
    
	/**
	 *
	 * @return optionParser
	 */
	public function getOptionParser() {

		$optionParser = parent::getOptionParser();
		$optionParser->description(__("Outils d'administration"));

		$optionParser->addOption('connection', array(
			'short' => 'c',
			'help' => 'connection',
			'default' => 'default',
			'choices' => array_keys(ConnectionManager::enumConnectionObjects())
		));
		
		return $optionParser;
	}

}
