<?php

/**
 *
 * Addressbooks/add.ctp View File
 * 
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<div class="row">
<?php
$formAddressbook = array(
    'name' => 'Addressbook',
    'label_w' => 'col-sm-6',
    'input_w' => 'col-sm-5',
    'input' => array(
        'Addressbook.name' => array(
            'labelText' =>__d('addressbook', 'Addressbooks.name'),
            'inputType' => 'text',
            'items'=>array(
                'required'=>true,
                'type'=>'text'
            )
        ),
        'Addressbook.description' => array(
            'labelText' =>__d('addressbook', 'Addressbooks.description'),
            'inputType' => 'text',
            'items'=>array(
                'type'=>'text'
            )
        ),
        'Addressbook.private' => array(
            'labelText' =>__d('addressbook', 'Addressbook.private'),
            'inputType' => 'checkbox',
            'items'=>array(
                'type'=>'checkbox'
            )
        )
    )
);

echo $this->Formulaire->createForm($formAddressbook);
echo $this->Form->end();
?>
</div>