<div id="configSignature">
    <?php
    $true_false = array('true' => 'Oui', 'false' => 'Non');
    $formSignature = array(
            'name' => 'Connecteur',
            'label_w' => 'col-sm-5',
            'input_w' => 'col-sm-6',
            'form_url' =>array('controller' => 'connecteurs', 'action' => 'makeconf', 'signature'),
            'form_type' => 'file',
            'input' => array(
                'Connecteur.id' => array(
                    'inputType' => 'hidden',
                    'items'=>array(
                        'type' => 'hidden', 
                        'value' => $this->params['pass'][0]
                    )
                )
            )
        );
    echo $this->Formulaire->createForm($formSignature);
    ?>
    <fieldset>
        <legend>Activation de la signature électronique</legend>
        <?php
        $formSignatureRadio = array(
            'name' => 'Connecteur',
            'label_w'=>'col-sm-5',
            'input_w'=>'col-sm-6',
            'form_url' => array('controller' => 'connecteurs', 'action' => 'makeconf', 'signature'),
            'input' =>array(
                'use_signature' => array(
                    'labelText' =>"",
                    'inputType' => 'radio',
                    'items'=>array(
                        'legend' => false,
                        'separator'=> '</div><div  class="radioUserGedLabel">',
                        'before' => '<div class="radioUserGedLabel">',
                        'after' => '</div>',
                        'label' => true,
                        'type'=>'radio',
                        'options' => $true_false,
                        'value' => ( isset( $this->request->data['Connecteur']['use_signature'] ) && $this->request->data['Connecteur']['use_signature'] ) ? 'true' : 'false'
                    )
                )
            )
        );
        echo $this->Formulaire->createForm($formSignatureRadio);
        ?>
    </fieldset>
    <div id='config_content' <?php echo Configure::read('USE_PARAPHEUR') === false ? 'style="display: none;"' : ''; ?>>
        <fieldset>
            <legend>Connecteur de signature</legend>
            <?php
            $formSignatureProtocol = array(
                    'name' => 'Connecteur',
                    'label_w' => 'col-sm-5',
                    'input_w' => 'col-sm-6',
                    'form_url' =>array('controller' => 'connecteurs', 'action' => 'makeconf', 'signature'),
                    'input' => array(
                        'signature_protocol' => array(
                            'labelText' =>'Type de connecteur',
                            'inputType' => 'select',
                            'items'=>array(
                                'type' => 'select', 
                                'options' => $protocoles
                            )
                        )
                    )
                );
            echo $this->Formulaire->createForm($formSignatureProtocol);
            ?>
        </fieldset>
        <fieldset class='pastell-infos'>
            <legend>Configuration des flux</legend>
            <?php
            $formSignaturePastellParapheurType = array(
                    'name' => 'Connecteur',
                    'label_w' => 'col-sm-5',
                    'input_w' => 'col-sm-6',
                    'form_url' =>array('controller' => 'connecteurs', 'action' => 'makeconf', 'signature'),
                    'input' => array(
                        'pastell_parapheur_type' => array(
                            'labelText' =>'Type technique (Parapheur)',
                            'labelPlaceholder' => "Actes",
                            'inputType' => 'text',
                            'items'=>array(
                                'type' => 'text', 
                                'value' => Configure::read('PASTELL_PARAPHEUR_TYPE')
                            )
                        )
                    )
                );
            echo $this->Formulaire->createForm($formSignaturePastellParapheurType);
            ?>
        </fieldset>
        <fieldset class="iparapheur-infos">
            <legend>Informations d'authentification</legend>
            <?php
            $formSignatureAuthentification = array(
                    'name' => 'Connecteur',
                    'label_w' => 'col-sm-5',
                    'input_w' => 'col-sm-6',
                    'form_url' =>array('controller' => 'connecteurs', 'action' => 'makeconf', 'signature'),
                    'input' => array(
                        'host' => array(
                            'labelText' =>'URL',
                            'labelPlaceholder' => "https://secure-parapheur.x.x.org",
                            'inputType' => 'text',
                            'items'=>array(
                                'type' => 'text'
                            )
                        ),
                        'login' => array(
                            'labelText' =>'Login',
                            'labelPlaceholder' => "Nom d'utilisateur",
                            'inputType' => 'text',
                            'items'=>array(
                                'type' => 'text'
                            )
                        ),
                        'pwd' => array(
                            'labelText' =>'Mot de passe',
                            'labelPlaceholder' => "Mot de passe utilisateur",
                            'inputType' => 'password',
                            'items'=>array(
                                'type' => 'password'
                            )
                        )
                    )
                );
            echo $this->Formulaire->createForm($formSignatureAuthentification);

            ?>
        </fieldset>
        <fieldset class='iparapheur-infos'>
            <legend>Configuration des flux</legend>
            <?php
            
            $formSignatureFlux = array(
                    'name' => 'Connecteur',
                    'label_w' => 'col-sm-5',
                    'input_w' => 'col-sm-6',
                    'form_url' =>array('controller' => 'connecteurs', 'action' => 'makeconf', 'signature'),
                    'input' => array(
                        'type' => array(
                            'labelText' =>'Type technique (Parapheur)',
                            'inputType' => 'text',
                            'items'=>array(
                                'type' => 'text'
                            )
                        ),
                        'visibility' => array(
                            'labelText' =>'Visibilité',
                            'labelPlaceholder' => "PUBLIC",
                            'inputType' => 'select',
                            'items'=>array(
                                'type' => 'select',
                                'options' => $visibilite
                            )
                        )
                    )
                );
            echo $this->Formulaire->createForm($formSignatureFlux);

            ?>
        </fieldset>
        <fieldset class='iparapheur-infos'>
            <legend>Certificat d'authentification</legend>
            <?php
            $formSignatureCertificatAuthentification = array(
                    'name' => 'Connecteur',
                    'label_w' => 'col-sm-5',
                    'input_w' => 'col-sm-6',
                    'form_url' =>array('controller' => 'connecteurs', 'action' => 'makeconf', 'signature'),
                    'form_type' => 'file',
                    'input' => array(
                        'clientcert' => array(
                            'labelText' =>'Certificat (p12)',
                            'inputType' => 'file',
                            'items'=>array(
                                'type'=>'file',
                                'name' => 'myfile', 
                                'class' => 'fileField'
                            )
                        ),
                        'certpwd' => array(
                            'labelText' =>'Mot de passe',
                            'labelPlaceholder' => "Mot de passe du certificat",
                            'inputType' => 'password',
                            'items'=>array(
                                'type' => 'password'
                            )
                        )
                    )
                );
            echo $this->Formulaire->createForm($formSignatureCertificatAuthentification);

            $value = $this->request->data['Connecteur']['nom_cert'];
            if( !empty( $value )) {
                echo 'Certificat utilisé : '.$value;
            }

            ?>
        </fieldset>
    </div>
    
    <div class="boutons">    </div>
    
    <?php
    echo $this->Html->tag('div', null, array('class' => 'btn-group', 'style' => 'margin-top:10px; margin-left: 60%;'));
    echo $this->Form->button(' <i class="fa fa-floppy-o" aria-hidden="true"></i> Enregistrer', array('type' => 'submit', 'id' => 'boutonValider', 'class' => 'btn btn-success closeModal', 'escape' => false, 'title' => 'Modifier la configuration'));
    echo $this->Html->link(' <i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler', array('controller' => 'connecteurs', 'action' => 'index'), array('class' => 'btn btn-danger closeModal', 'escape' => false, 'title' => 'Annuler'));
    echo $this->Html->tag('/div', null);
    echo $this->Form->end();
//    echo $this->Html->css('connecteurs');
    ?>


    
    
    <?php
//    echo $this->Form->end('Coucou');
    ?>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        changeProtocol();

        $('#ConnecteurMakeconfForm input[type=radio]').change(function () {
            $('#config_content').toggle();
        });

        if ($('#ConnecteurUseSignatureTrue').is(":checked")) {
            $('#config_content').show();
        }

        if ($('#ConnecteurUseSignatureFalse').is(":checked")) {
            $('#config_content').hide();
        }

        $('#ConnecteurSignatureProtocol').change(function () {
            changeProtocol();
        })
    });

    function changeProtocol() {
        var protocol = $('#ConnecteurSignatureProtocol').val();
        if (protocol == 'PASTELL') {
            $('.pastell-infos').show();
        } else {
            $('.pastell-infos').hide();
        }
        if (protocol == 'IPARAPHEUR') {
            $('.iparapheur-infos').show();
        } else {
            $('.iparapheur-infos').hide();
        }
    }
</script>