-- 306_patch_2.2.sql script
--
-- web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
--
-- @author Arnaud AUZOLAT
-- @copyright Initié par ADULLACT - Développé par ADULLACT Projet
-- @link http://adullact.org/
-- @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;
SET search_path = public, pg_catalog;
SET default_tablespace = '';
SET default_with_oids = false;

BEGIN;

--- Ajout de champs pour le nouveau système de LDAP
SELECT add_missing_table_field ('public', 'connecteurs', 'use_grc', 'BOOLEAN');
ALTER TABLE connecteurs ALTER COLUMN use_grc SET DEFAULT false;
UPDATE connecteurs SET use_grc = false;

SELECT add_missing_table_field ('public', 'connecteurs', 'grc_active', 'BOOLEAN');
ALTER TABLE connecteurs ALTER COLUMN grc_active SET DEFAULT false;
UPDATE connecteurs SET grc_active = false;

SELECT add_missing_table_field ('public', 'connecteurs', 'grc_apikey', 'VARCHAR(255)');
UPDATE connecteurs SET grc_apikey = '7a1182abe571c90584c2541ecs3a0f54';

SELECT add_missing_table_field ('public', 'connecteurs', 'grc_appname', 'VARCHAR(255)');
UPDATE connecteurs SET grc_appname = 'Webgfc';

SELECT add_missing_table_field ('public', 'connecteurs', 'grc_host', 'VARCHAR(255)');
UPDATE connecteurs SET grc_host = 'https://grc28.localeo.fr/public/webgfc/';

SELECT add_missing_table_field ('public', 'connecteurs', 'grc_cityid', 'VARCHAR(255)');
SELECT add_missing_table_field ('public', 'connecteurs', 'grc_canalid', 'VARCHAR(255)');
SELECT add_missing_table_field ('public', 'connecteurs', 'grc_servid', 'VARCHAR(255)');
SELECT add_missing_table_field ('public', 'connecteurs', 'grc_sqrtid', 'VARCHAR(255)');
SELECT add_missing_table_field ('public', 'connecteurs', 'grc_qrtid', 'VARCHAR(255)');

INSERT INTO connecteurs ( name, grc_apikey, grc_appname, grc_host, grc_cityid, grc_canalid, grc_servid, grc_sqrtid, grc_qrtid, created, modified ) VALUES 
( 'GRC Localeo', '7a1182abe571c90584c2541ecs3a0f54', 'Webgfc', 'https://grc28.localeo.fr/public/webgfc/', '73', '4', '4128', '12177', '125', NOW(), NOW() );

SELECT add_missing_table_field ('public', 'types', 'grc_servid', 'VARCHAR(255)');

UPDATE courriers_metadonnees SET valeur ='Oui' WHERE valeur='1' ADN metadonnee_id IN (SELECT id FROM metadonnees WHERE typemetadonnee_id = 3 );
UPDATE courriers_metadonnees SET valeur ='Non' WHERE valeur='0' ADN metadonnee_id IN (SELECT id FROM metadonnees WHERE typemetadonnee_id = 3 );
COMMIT;