<?php

/**
 *
 * Authentifications/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
    //echo $this->Html->css(array('administration'), null, array('inline' => false)); 
?>
<div class="container">
    <div id="liste" class="">
        <div  class="table-list">
            
            <h3><?php echo __d('authentification', 'Authentification.infos'); ?></h3>
            <?php
                $true_false = array('true' => 'Oui', 'false' => 'Non');
                $formAuthent = array(
                        'name' => 'Authentification',
                        'label_w' => 'col-sm-5',
                        'input_w' => 'col-sm-6',
                        'form_url' =>array('controller' => 'authentifications', 'action' => 'makeconf'),
                        'form_type' => 'file',
                        'input' => array(
                            'Authentification.id' => array(
                                'inputType' => 'hidden',
                                'items'=>array(
                                    'type' => 'hidden'
                                )
                            )
                        )
                    );
                echo $this->Formulaire->createForm($formAuthent);
            ?>
            <?php
//            echo $this->Form->create('Authentification',array(
//                                        'url' => array('controller' => 'authentifications', 'action' => 'makeconf'),
////                                        'type' => 'file',
//                                        'form_type' => 'file',
//                                        'class' => 'form-horizontal',
//                                        'inputDefaults' => array(
//                                            'format' => array('before', 'label', 'between', 'input', 'error', 'after'),
//                                            'div' => array('class' => 'form-group'),
//                                            'label' => array('class' => 'control-label  col-sm-3'),
//                                            'between' => '<div class="controls  col-sm-5">',
//                                            'after' => '<div class="help-block with-errors"></div></div>',
//                                            'error' => array('attributes' => array('wrap' => 'span', 'class' => 'help-inline')),
//                                             'data-toggle'=>"validator"
//                                    ))); 
            ?>
            <div class="panel-body">
                <fieldset>
                    <legend>Activation de la signature électronique</legend>
                    <?php 
                    $formAuthentRadio = array(
                        'name' => 'Authentification',
                        'label_w'=>'col-sm-5',
                        'input_w'=>'col-sm-6',
                        'form_url' => array('controller' => 'authentifications', 'action' => 'makeconf'),
                        'input' =>array(
                            'use_cas' => array(
                                'labelText' =>"",
                                'inputType' => 'radio',
                                'items'=>array(
                                    'legend' => false,
                                    'separator'=> '</div><div  class="radioUserGedLabel">',
                                    'before' => '<div class="radioUserGedLabel">',
                                    'after' => '</div>',
                                    'label' => true,
                                    'type'=>'radio',
                                    'options' => $true_false,
                                    'value' => ( isset( $this->request->data['Authentification']['use_cas'] ) && $this->request->data['Authentification']['use_cas'] ) ? 'true' : 'false'
                                )
                            )
                        )
                    );
                    echo $this->Formulaire->createForm($formAuthentRadio);
                    ?>
                </fieldset>
                    <?php
//                    $true_false = array('true' => 'Oui', 'false' => 'Non');
//                    echo $this->Form->input( 'Authentification.id', array('type' => 'hidden') );
                    ?>
<!--                <legend>Activation de l'authentification via CAS</legend>
                <div class="form-group">
                    <label class="col-sm-5 control-label">Activation: </label>
                    <div class="col-sm-5">
                        <div class="radio">
                            <label>
                                <input id="AuthentificationUseCasTrue" name="data[Authentification][use_cas]" value="true" type="radio"">
                                Oui
                            </label>
                        </div>
                        <div class="radio">
                            <label>
                                <input id="AuthentificationUseCasFalse" name="data[Authentification][use_cas]" value="false" type="radio" checked="checked">
                                Non
                            </label>
                        </div>
                    </div>
                </div>-->
                <div id='cas_config_content'>
                    <legend>Authentification CAS</legend>
                    <?php
                        $formAuthentificationForm = array(
                                'name' => 'Authentification',
                                'label_w' => 'col-sm-5',
                                'input_w' => 'col-sm-6',
                                'form_url' =>array('controller' => 'authentifications', 'action' => 'makeconf'),
                                'input' => array(
                                    'host' => array(
                                        'labelText' =>'URL',
                                        'labelPlaceholder' => "xxx.webgfc.fr",
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type' => 'text', 
                                            'value' => Configure::read('PASTELL_PARAPHEUR_TYPE')
                                        )
                                    ),
                                    'port' => array(
                                        'labelText' =>'Port',
                                        'labelPlaceholder' => "443",
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type' => 'text'
                                        )
                                    ),
                                    'contexte' => array(
                                        'labelText' =>'Contexte',
                                        'labelPlaceholder' => "/cas",
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type' => 'text'
                                        )
                                    )
                                )
                            );
                        echo $this->Formulaire->createForm($formAuthentificationForm);
            ?>
                         <?php
//                            echo $this->Form->input('host', array(
//                                    'type' => 'text',
//                                    'placeholder' =>'xxx.webgfc.fr',
//                                    'label' =>array('text'=> 'URL','class'=>'control-label  col-sm-5'),
//                                    'class' => 'form-control'
//                                )
//                            );
//                            echo $this->Form->input('port', array(
//                                    'type' => 'text',
//                                    'placeholder' =>  '443',
//                                    'label' => array('text'=>'Port','class'=>'control-label  col-sm-5'),
//                                    'class' => 'form-control'
//                                )
//                            );
//                            echo $this->Form->input('contexte', array(
//                                    'type' => 'text',
//                                    'placeholder' => '/cas',
//                                    'label' => array('text'=>'Contexte','class'=>'control-label  col-sm-5'),
//                                    'class' => 'form-control'
//                                )
//                            );
//                                echo $this->Form->input('autcert', array(
//                                        'type' => 'file',
//                                        'label' => array('text'=>'Certificat (pem)','class'=>'control-label  col-sm-5'),
//                                        'class' => 'form-control'
//                                    )
//                                );
                            
                            
                            $formAuthentCertificatAuthentification = array(
                                'name' => 'Authentification',
                                'label_w' => 'col-sm-5',
                                'input_w' => 'col-sm-6',
                                'form_url' =>array('controller' => 'authentifications', 'action' => 'makeconf' ),
                                'form_type' => 'file',
                                'input' => array(
                                    'autcert' => array(
                                        'labelText' =>'Certificat (pem)',
                                        'inputType' => 'file',
                                        'items'=>array(
                                            'type'=>'file',
                                            'name' => 'myfile', 
                                            'class' => 'fileField'
                                        )
                                    )
                                )
                            );
                            echo $this->Formulaire->createForm($formAuthentCertificatAuthentification);
                                                    
                            
                            $value = isset( $this->request->data['Authentification']['nom_cert'] ) ? $this->request->data['Authentification']['nom_cert'] : '';
                            if( !empty($value )) {
                                echo 'Certificat utilisé : '.$value;
                            }
                            
                            
//                            echo $this->Form->input('proxy', array(
//                                    'type' => 'text',
//                                    'placeholder' => 'https://xxx.webgfc.fr',
//                                    'label' => array('text'=>'Proxy','class'=>'control-label  col-sm-5'),
//                                    'class' => 'form-control'
//                                )
//                            );
//                            echo $this->Form->input('logpath', array(
//                                    'type' => 'text',
//                                    'placeholder' => '/tmp/cas.log',
//                                    'label' => array('text'=>'Emplacement du fichier de log','class'=>'control-label  col-sm-5'),
//                                    'class' => 'form-control'
//                                )
//                            );
                            $formAuthentificationOtherForm = array(
                                'name' => 'Authentification',
                                'label_w' => 'col-sm-5',
                                'input_w' => 'col-sm-6',
                                'form_url' =>array('controller' => 'authentifications', 'action' => 'makeconf'),
                                'input' => array(
                                    'proxy' => array(
                                        'labelText' =>'Proxy',
                                        'labelPlaceholder' =>'https://xxx.webgfc.fr',
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type' => 'text'
                                        )
                                    ),
                                    'logpath' => array(
                                        'labelText' =>'Emplacement du fichier de log',
                                        'labelPlaceholder' => '/tmp/cas.log',
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type' => 'text'
                                        )
                                    )
                                )
                            );
                            echo $this->Formulaire->createForm($formAuthentificationOtherForm);
                            ?>
                </div>
            </div>
            <?php
//                echo $this->Form->end();
            ?>
        </div>
        <div class="controls panel-footer " role="group">
            <?php
//            echo $this->Html->link(
//                            '<i class="fa fa-floppy-o" aria-hidden="true"></i> Enregistrer', 
//                            array('controller' => 'authentifications', 'action' => 'makeconf'),
//                            array(
//                                'type' => 'submit', 
//                                'id' => 'boutonValider', 
//                                'class' => 'btn btn-success ', 
//                                'escape' => false, 
//                                'title' => 'Modifier la configuration'
//                            )
//                        );
//            echo $this->Html->link(
//                            '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler', 
//                            array(
//                                'controller' => 'environnement', 
//                                'action' => 'index'
//                                ), 
//                            array(
//                                'class' => 'btn btn-danger ', 
//                                'escape' => false, 
//                                'title' => 'Annuler'
//                            )
//                        );
                    ?>
        </div>
    </div>
</div>
<div class="boutons">    </div>
    
    <?php
    echo $this->Html->tag('div', null, array('class' => 'btn-group', 'style' => 'margin-top:10px; margin-left: 60%;'));
    echo $this->Form->button(' <i class="fa fa-floppy-o" aria-hidden="true"></i> Enregistrer', array('type' => 'submit', 'id' => 'boutonValider', 'class' => 'btn btn-success', 'escape' => false, 'title' => 'Modifier la configuration'));
    echo $this->Html->link(' <i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler', array('controller' => 'authentifications', 'action' => 'index'), array('class' => 'btn btn-danger', 'escape' => false, 'title' => 'Annuler'));
    echo $this->Html->tag('/div', null);
    echo $this->Form->end();
//    echo $this->Html->css('connecteurs');
    ?>

<script type="text/javascript">
    $(document).ready(function () {
        
         $('#AuthentificationMakeconfForm input[type=radio]').change(function () {
            $('#cas_config_content').toggle();
        });

        if ($('#AuthentificationUseCasTrue').is(":checked")) {
            $('#cas_config_content').show();
        }

        if ($('#AuthentificationUseCasFalse').is(":checked")) {
            $('#cas_config_content').hide();
        }
        
        
        $("input[name='data[Authentification][use_cas]']").change(function () {
            changeProtocol();
        });
        $('#cas_config_content').hide();

    });
    
    console.log($('#AuthentificationUseCasTrue'));
            if ($('#AuthentificationUseCasTrue').is(":checked")) {
            $('#cas_config_content').show();
        }

        if ($('#AuthentificationUseCasFalse').is(":checked")) {
            $('#cas_config_content').hide();
        }
    function changeProtocol() {
        if ($("input:checked").val() === 'true') {
            $('#cas_config_content').show();
        }
        if ($("input:checked").val() === 'false') {
            $('#cas_config_content').hide();
        }
    }
</script>