<?php

/**
 *
 * Gabaritsdocuments/set_gabaritdocuments.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
$ulContent = '';
if (empty($gabarits)) {
    $ulContent = $this->Html->tag('li', __d('gabaritdocument', 'Gabaritdocument.model.void'), array('class' => 'alert alert-warning voidlist_item'));
} else {
    foreach ($gabarits as $gabarit) {
        $liContent = $this->Element('ctxdoc', array('gfcDocType' => 'Gabaritsdocument', 'ctxdoc' => $gabarit, 'adminMode' => true));
        $ulContent .= $this->Html->tag('li', $liContent, array('class' => 'ctxdoc_gabarit'));
    }
}
echo $this->Html->tag('ul', $ulContent, array('id' => 'gabaritdocumentList'));
?>

<script type="text/javascript">
    $('.ctxdocBttnDeleteGabaritdocument').click(function () {
        var docId = $(this).parent().parent().attr('itemId');
        var filename = $(this).parent().parent().find('.ctxdoc_name span.filename').html();

        swal({
            title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
            text: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#d33",
            cancelButtonColor: "#3085d6",
            confirmButtonText: '<i class="fa fa-check" aria-hidden="true"></i> Valider',
            cancelButtonText: '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler',
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/gabaritsdocuments/delete/' + docId,
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                }, function (data) {
                    getJsonResponse(data);
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n\'avez pas supprimé,;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    });
</script>