    <?php
	$this->Csv->preserveLeadingZerosInExcel = true;
//    debug($flux);
//    die();
    $datasPassed = Hash::expand( $this->request->params['named'], '__' );

    if( Configure::read('Conf.SAERP')) {
        $isLn = in_array('LN',  (array)$datasPassed['Recherche']['ctypedocument']);
    }
    else {
        $isLn = false;
    }
    if( $isLn ) {
        $this->Csv->addRow(
            array(
                'Référence',
                'Nom',
                'Objet',
                'Date d\'entrée dans la collectivité',
                'Date de réception',
                'Organisme',
                'Type',
                'N° de Marché',
                'Montant HT'
            )
        );
    }
    else {
        if( Configure::read('Conf.SAERP')) {
            $this->Csv->addRow(
                array(
                    'Statut',
                    'Référence',
                    'Nom',
                    'Objet',
                    'Date d\'entrée dans la collectivité',
                    'Date de réception',
                    'Organisme',
                    'Contact',
                    'Type',
                    'Sous-type',
                    'Méta-données'
                )
            );
        }
        else {
            
            $this->Csv->addRow(
                array(
                    'Statut',
                    'Retard',
                    'Référence',
                    'Nom',
                    'Objet',
                    'Date de création du flux',
                    'Date d\'entrée dans la collectivité',
                    'Direction concernée',
                    'Service concerné',
                    'Organisme',
                    'Contact',
                    'Type',
                    'Sous-type',
                    'Dossier',
                    'Affaire',
                    'Nom de la tâche associée',
//                    'Montant HT',
                    'Méta-données',
                    'Date de validation',
                    'Date de clôture',
                    'Date de refus',
                    '41 - Accusé de réception envoyé'
                )
            );
        }
    }
    

	foreach( $flux as $result ) {
        if( !empty($datasPassed['Recherche']['cretard']) ) {
            $retard = $datasPassed['Recherche']['cretard'];
        }
        else {
            $retard = ( Hash::get( $result, 'Courrier.mail_retard_envoye' ) ? 'Oui' : 'Non');
        }
        $statut = Hash::get( $etat, Hash::get( $result, 'Bancontenu.etat' ) );
        if( Configure::read('Conf.SAERP')) {
            if(in_array('LN',  (array)$datasPassed['Recherche']['ctypedocument']) ) {
                $row = array(
                    Hash::get( $result, 'Courrier.reference' ),
                    Hash::get( $result, 'Courrier.name' ),
                    preg_replace( "/[\r\n]+/", " ", Hash::get( $result, 'Courrier.objet' ) ),
                    $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.date' ) ),
                    $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.datereception' ) ),
                    Hash::get( $result, 'Organisme.name' ),
                    Hash::get( $result, 'Type.name' ),
                    Hash::get( $result, 'Marche.numero' ),
                    Hash::get( $result, 'Lettre.montant' )
                );
            }
        }
        else {
            if( Configure::read('Conf.SAERP')) {
                $row = array(
                    @$statut,
                    Hash::get( $result, 'Courrier.reference' ),
                    Hash::get( $result, 'Courrier.name' ),
                    preg_replace( "/[\r\n]+/", " ", Hash::get( $result, 'Courrier.objet' ) ),
                    $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.date' ) ),
                    $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.datereception' ) ),
                    isset($result['Organisme']['name']) ? preg_replace( "/[\r\n,]+/", " - ", Hash::get( $result, 'Organisme.name' ) ) : '',
                    isset($result['Contact']['name']) ? preg_replace( "/[\r\n,]+/", " - ", Hash::get( $result, 'Contact.name' ) ) : '',
                    isset($result['Type']['name']) ? Hash::get( $result, 'Type.name' ) : '',
                    isset($result['Soustype']['name']) ? Hash::get( $result, 'Soustype.name' ) : '',
                    isset($result['Metadonnee']['valeur']) ? Hash::get( $result, 'Metadonnee.valeur' ) : ''
                );
            }
            else {
                $row = array(
                    @$statut,
                    @$retard,
                    Hash::get( $result, 'Courrier.reference' ),
                    Hash::get( $result, 'Courrier.name' ),
                    preg_replace( "/[\r\n]+/", " ", Hash::get( $result, 'Courrier.objet' ) ),
                    $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.date' ) ),
                    $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.datereception' ) ),
                    isset($result['Service']['name']) ? Hash::get( $result, 'Service.name' ) : '',
                    isset($result['Service']['parent_id']) ? Hash::get( $services, Hash::get( $result, 'Service.parent_id' ) ) : '',
                    isset($result['Organisme']['name']) ? preg_replace( "/[\r\n,]+/", " - ", Hash::get( $result, 'Organisme.name' ) ) : '',
                    isset($result['Contact']['name']) ? preg_replace( "/[\r\n,]+/", " - ", Hash::get( $result, 'Contact.name' ) ) : '',
                    isset($result['Type']['name']) ? Hash::get( $result, 'Type.name' ) : '',
                    isset($result['Soustype']['name']) ? Hash::get( $result, 'Soustype.name' ) : '',
                    isset($result['Dossier']['name']) ? Hash::get( $result, 'Dossier.name' ) : '',
                    isset($result['Affaire']['name']) ? Hash::get( $result, 'Affaire.name' ) : '',
                    isset($result['Tache']['name']) ? Hash::get( $result, 'Tache.name' ) : '',
//                    isset($result['Lettre']['valeur']) ? Hash::get( $result, 'Lettre.montant' ) : '',
                    isset($result['Courrier']['metadonnees']) ? Hash::get( $result, 'Courrier.metadonnees' ) : '',
                    ( isset( $result['Courrier']['datevalidation']) && !empty( $result['Courrier']['datevalidation'] ) ) ? $this->Html2->ukToFrenchDateWithHourAndSlashes( Hash::get( $result, 'Courrier.datevalidation' ) ) : '',
                    ( isset( $result['Courrier']['datecloture']) && !empty( $result['Courrier']['datecloture'] ) ) ? $this->Html2->ukToFrenchDateWithHourAndSlashes( Hash::get( $result, 'Courrier.datecloture' ) ) : '',
                    ( isset( $result['Courrier']['daterefus']) && !empty( $result['Courrier']['daterefus'] ) ) ? $this->Html2->ukToFrenchDateWithHourAndSlashes( Hash::get( $result, 'Courrier.daterefus' ) ) : '',
                    ( isset( $result['Courrier']['arenvoye']) && !empty( $result['Courrier']['arenvoye'] ) ) ? Hash::get( $result, 'Courrier.arenvoye' ) : '',
                );
            }
        }
		$this->Csv->addRow( $row );
	}
    
	Configure::write( 'debug', 0 );
	echo $this->Csv->render( "{$this->request->params['controller']}_{$this->request->params['action']}_".date( 'Ymd-His' ).'.csv' );
?>