<?php

/**
 *
 * Soustypes/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>

<div id="stype_tabs">
    <ul  class="nav nav-tabs titre" role="tablist">
        <li class="active" ><a href="#stype_tabs_1" role="tab" data-toggle="tab"><?php echo __d('default', 'Informations'); ?></a></li>

        <li><a role="tab" data-toggle="tab" href="#stype_tabs_2"><?php echo __d('soustype', 'Soustype.Armodels'); ?></a></li>

        <li><a  role="tab" data-toggle="tab" href="#stype_tabs_3"><?php echo __d('soustype', 'Soustype.Rmodels'); ?></a></li>

        <li><a   role="tab" data-toggle="tab" href="#stype_tabs_4"><?php echo __d('soustype', 'Soustype.getCircuit'); ?></a></li>
    </ul>

    <div class="tab-content"> 
        <div id="stype_tabs_1" class="tab-pane fade active in">
            <?php
            $formSoustypeHead = array(
                'name' => 'Soustype',
                'label_w' => 'col-sm-5',
                'input_w' => 'col-sm-6',
                'input' => array(
                    'Soustype.id' => array(
                        'inputType' => 'hidden',
                        'items'=>array(
                            'type'=>'hidden'
                        )
                    )
                )
             );
            echo $this->Formulaire->createForm($formSoustypeHead);
            ?>
            <?php
            $formSoustype = array(
                'name' => 'Soustype',
                'label_w' => 'col-sm-5',
                'input_w' => 'col-sm-6',
                'input' => array(
                    'Soustype.name' => array(
                        'labelText' =>__d('soustype', 'Soustype.name'),
                        'labelPlaceholder' => __d('soustype', 'Soustype.placeholderNameAdd'),
                        'inputType' => 'text',
                        'items'=>array(
                            'required'=>true,
                            'type'=>'text'
                        )
                    ),
                    'Soustype.type_id' => array(
                        'labelText' =>__d('soustype', 'Soustype.type_id'),
                        'inputType' => 'select',
                        'items'=>array(
                            'type'=>'select',
                            'options' => $types, 
                            'empty' => true,
                            'required'=>true
                        )
                    ),
                    'Soustype.circuit_id' => array(
                        'labelText' =>__d('soustype', 'Soustype.circuit_id'),
                        'inputType' => 'select',
                        'items'=>array(
                            'type'=>'select',
                            'options' => $circuits, 
                            'empty' => true,
                            'selected' =>$this->request->data['Soustype']['circuit_id']
                        )
                    ),
                )
            );
            $formSoustype2 = array(
                'name' => 'Soustype',
                'label_w' => 'col-sm-5',
                'input_w' => 'col-sm-6',
                'input' => array(
                    'Soustype.information' => array(
                        'labelText' =>__d('soustype', 'Soustype.information'),
                        'inputType' => 'text',
                        'items'=>array(
                            'type'=>'text'
                        )
                    ),
                    'Metadonnee.Metadonnee' => array(
                        'labelText' =>__d('soustype', 'Metadonnee.Metadonnee'),
                        'inputType' => 'select',
                        'items'=>array(
                            'type'=>'select',
                            'multiple' => true, 
                            'options' => $listMeta
                        )
                    ),
                    'Soustype.active' => array(
                        'labelText' =>__d('soustype', 'Soustype.active'),
                        'inputType' => 'checkbox',
                        'items'=>array(
                            'type'=>'checkbox',
                            'checked'=>$this->request->data['Soustype']['active']
                        )
                    ),
                )
            );
            echo '<div class="col-sm-6">';
            echo $this->Formulaire->createForm($formSoustype);
            echo '</div>';
            echo '<div class="col-sm-6">';
            echo $this->Formulaire->createForm($formSoustype2);
            echo '</div>';
            ?>
            <legend>Quelles sont les métadonnées obligatoires ?</legend>
            <?php 
            if( !empty($listMeta) ) {
                echo '<div class="col-sm-3"></div>';
                echo '<div class="col-sm-7">';
                foreach ($listMeta as $key => $value) {
                    if(isset($this->request->data['Metadonnee']['obligatoire'][$key]) && $this->request->data['Metadonnee']['obligatoire'][$key]){
                        echo '<label class="checkbox-inline"><input type="checkbox" name="data[Metadonnee][obligatoire][]" value ="'.$key.'" checked ="'.$key.'" id="MetadonneeObligatoire'.$key.'">'.$value.'</label>';
                    }else{
                        echo '<label class="checkbox-inline"><input type="checkbox" name="data[Metadonnee][obligatoire][]" value ="'.$key.'" id="MetadonneeObligatoire'.$key.'">'.$value.'</label>';
                    }
                }
                echo '</div>';
            }
            else {
                echo $this->Html->tag('div', __d('soustype', 'Soustype.Metadonnee.void'), array('class' => 'alert alert-warning col-sm-12'));
            }
            ?>    
            <div class="col-sm-6">
                <legend><?php echo __d('soustype', 'Soustype.delai'); ?></legend>
                <?php
                $formSoustypeDelai = array(
                    'name' => 'Soustype',
                    'label_w' => 'col-sm-5',
                    'input_w' => 'col-sm-6',
                    'input' => array(
                        'Soustype.delai_nb' => array(
                            'labelText' =>__d('soustype', 'Soustype.delai_nb'),
                            'inputType' => 'number',
                            'items'=>array(
                                'type'=>'number'
                            )
                        ),
                        'Soustype.delai_unite' => array(
                            'labelText' =>__d('soustype', 'Soustype.delai_unite'),
                            'inputType' => 'select',
                            'items'=>array(
                                'type'=>'select',
                                'options' =>array('0' => 'jour', '1' => 'semaine', '2' => 'mois'), 
                                'empty' => true
                            )
                        )
                    )
                );
                echo $this->Formulaire->createForm($formSoustypeDelai);
                ?>
            </div>
            <div class="col-sm-6">
                <legend><?php echo __d('soustype', 'Soustype.entrant'); ?></legend>
                <?php
                $formSoustypeEntrant = array(
                    'name' => 'Soustype',
                    'label_w' => 'col-sm-6',
                    'input_w' => 'col-sm-6',
                    'input' => array(
                        'Soustype.entrant' => array(
                            'labelText' =>__d('soustype', 'Soustype.name'),
                            'labelPlaceholder' => __d('soustype', 'Soustype.delai_nb'),
                            'inputType' => 'radio',
                            'items'=>array(
                                'legend' => false,
                                'separator'=> '</div><div  class="radioUserGedLabel">',
                                'before' => '<div class="radioUserGedLabel">',
                                'after' => '</div>',
                                'label' => true,
                                'type'=>'radio',
                                'options'=> array(
                                    1 => __d('soustype', 'Soustype.entrant.entrant'), 
                                    0 => __d('soustype', 'Soustype.entrant.sortant'),
                                    2 => __d('soustype', 'Soustype.entrant.interne')
                                )
                            )
                        ),
//                        'Soustype.parent_id' => array(
//                            'labelText' =>__d('soustype', 'Soustype.parent_id'),
//                            'inputType' => 'select',
//                            'items'=>array(
//                                'type'=>'select',
//                                'options' => $soustypesList, 
//                                'empty' => true, 
//                                'disabled' => 'disabled'
//                            )
//                        )
                        'Soustype.Soustypecible' => array(
                            'labelText' =>__d('soustype', 'Soustype.parent_id'),
                            'inputType' => 'select',
                            'items'=>array(
                                'type'=>'select',
                                'multiple' => true, 
                                'options' => $soustypesList,
                                'selected' => $listSoustype
                            )
                        )
                    )
                );
                echo $this->Formulaire->createForm($formSoustypeEntrant);
            ?>
            </div>
        </div>
        <div  class="tab-pane fade"  id="stype_tabs_2">
        </div>
        <div  class="tab-pane fade" id="stype_tabs_3">
        </div>
        <div  class="tab-pane fade" id="stype_tabs_4">
        </div>
    </div>


</div>
<script type="text/javascript">
function InsertSelectedValueIntoInput(el) {
        var input = $('input[type=text]:first', $(el).parent());
        var caretPos = $(input).caret().start;

        var newVal = $("option:selected", el).val();
        var beginVal = input.val().substr(0, caretPos);
        var endVal = input.val().substr(caretPos, input.val().length);

        input.val(beginVal + newVal + endVal);
    }

    function defRefInOut() {
        var inRef = "E_";
        var outRef = "S_";
        var internalRef = "I_";
        if ($('#SoustypeEntrant1').prop("checked")) {
            $('#refInOut').html(inRef);
        } else if ($('#SoustypeEntrant0').prop("checked")) {
            $('#refInOut').html(outRef);
        } else if ($('#SoustypeEntrant2').prop("checked")) {
            $('#refInOut').html(internalRef);
        }
    }

    function stype_tabs_reload() {
        affichageTab();
    }
    var soustypeName = $('#SoustypeName').val();
    var soustypeValue = "<?php echo $this->request->data['Soustype']['entrant'];?>";
    
    var text = soustypeName.split('- Flux ');
    var type = text[1];

    if (soustypeValue == '1' || type == 'Entrants') {
        $("input[name='data[Soustype][entrant]'][value=1]").prop("checked", true);
        $('label[for="SoustypeSoustypecible"]').parent().hide();
    } else if (soustypeValue == '2' || type == 'Internes' ) {
        $("input[name='data[Soustype][entrant]'][value=2]").prop("checked", true);
        $('label[for="SoustypeSoustypecible"]').parent().hide();
    } else if (soustypeValue = '0' || type == 'Sortants' ) {
        $("input[name='data[Soustype][entrant]'][value=0]").prop("checked", true);
    }

    $('#SoustypeEntrant0').change(function () {
        $('label[for="SoustypeSoustypecible"]').parent().show();
        $('#SoustypeSoustypecible').removeAttr('disabled');
        var test = $('#SoustypeName').val();
        var string = test.split(' - Flux');
        $('#SoustypeName').val(string[0] + ' - Flux Sortants');
        defRefInOut();
    });
    $('#SoustypeEntrant1').change(function () {
        if ($('#SoustypeEntrant1').prop("checked")) {
            $('label[for="SoustypeSoustypecible"]').parent().hide();
            var test = $('#SoustypeName').val();
            var string = test.split(' - Flux');
            $('#SoustypeName').val(string[0] + ' - Flux Entrants');
            defRefInOut();
        }
    });
    $('#SoustypeEntrant2').change(function () {
        if ($('#SoustypeEntrant2').prop("checked")) {
            $('label[for="SoustypeSoustypecible"]').parent().hide();
            var test = $('#SoustypeName').val();
            var string = test.split(' - Flux');
            $('#SoustypeName').val(string[0] + ' - Flux Internes');
            defRefInOut();
        }
    });

    if ($('#SoustypeEntrant0').prop("checked")) {
        $('#SoustypeSoustypecible').removeAttr('disabled');
    }
    if ($('#SoustypeEntrant1').prop("checked") || $('#SoustypeEntrant2').prop("checked")) {
        $('#SoustypeSoustypecible').attr('disabled', "disabled");
    }

    defRefInOut();
    function affichageTab() {
        if ($('#stype_tabs_2').length > 0 && $('#stype_tabs_2').is(':visible')) {
            gui.request({
                url: "<?php echo "/Soustypes/setArmodels/" . $id; ?>",
                updateElement: $('#stype_tabs_2'),
            });
        }
        if ($('#stype_tabs_3').length > 0 && $('#stype_tabs_3').is(':visible')) {
            gui.request({
                url: "<?php echo "/Soustypes/setRmodels/" . $id; ?>",
                updateElement: $('#stype_tabs_3'),
            });
        }
        if ($('#stype_tabs_4').length > 0 && $('#stype_tabs_4').is(':visible')) {
            gui.request({
                url: "<?php echo "/Soustypes/getCircuit/" . $id; ?>",
                updateElement: $('#stype_tabs_4'),
            });
        }
    }
    $(document).ready(function () {
        $('#MetadonneeMetadonnee').select2({allowClear: true, placeholder: "Sélectionner une métadonnée"});
        $('#SoustypeTypeId').select2({allowClear: true, placeholder: "Sélectionner un type"});
        $('#SoustypeCircuitId').select2({allowClear: true, placeholder: "Sélectionner un circuit"});
        $('#SoustypeDelaiUnite').select2({allowClear: true, placeholder: "Sélectionner un délai"});


//        $('#SoustypeSoustypecible').select2({allowClear: true, placeholder: "Sélectionner un sous-type"});
        $('#SoustypeSoustypecible').select2({allowClear: true, placeholder: "Sélectionner un sous-type"});
//        $('#ServiceService').select2({allowClear: true, placeholder: "Sélectionner un ou plusieurs services"});


        // Change hash for page-reload
        $('.nav-tabs a').on('shown.bs.tab', function (e) {
            affichageTab();
        })



    });

</script>

<?php 
    // Gestion des cases à cocher pour les métadonnées saisies comme obligatoires dans le cas de l'uilisation du sous-type en question
if( !empty($this->request->data['Metadonnee']) ){
    foreach( $this->request->data['Metadonnee']['obligatoire'] as $key => $metaValue ) {
        if( $metaValue == true ) {
            ?>
<script>
    $("input[name='data[Metadonnee][obligatoire][]'][value=<?php echo $key;?>]").prop("checked", true);
</script>
            <?php   
        }
        else {
            ?>
<script>
    $("input[name='data[Metadonnee][obligatoire][]'][value=<?php echo $key;?>]").prop("checked", false);
</script>
            <?php
        }
    }
}
?>